com.ihr.xbrl.dts

## Interface LabelsProvider

- All Known Implementing Classes:
    LabelsProviderBasic

      public interface LabelsProvider

  The Interface LabelsProvider.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel(XBRLResource res)` Returns a suitable label for the resource The language is obtained by asking the application for the preferred language.
    `java.lang.String` | `getLabel(XMLElementDefinition el)` Returns a suitable label for the element The language is obtained by asking the application for the preferred language.
    `java.lang.String` | `getLabel(XMLElementDefinition el, XBRLRoleType preferredRole)` Returns a label for the element corresponding to the preferredRole.
    `void` | `setDTS(DTSContainer newDts)` Sets the DTSContainer to a new DTSContainer.

- - ### Method Detail

    - #### getLabel

          java.lang.String getLabel(XMLElementDefinition el)

      Returns a suitable label for the element The language is obtained by asking the application for the preferred language.
      Parameters:
        `el` - XMLElementDefinition
      Returns:
        String

    - #### getLabel

          java.lang.String getLabel(XBRLResource res)

      Returns a suitable label for the resource The language is obtained by asking the application for the preferred language. In this case, labels can be obtained as follows:
      1. if the resource has a generic label, the generic label text is returned, if not
      2. calls the getFriendlyName(XMLFragment.NO_POSITION, this)
      3. if the resource has an ID, the content of the ID is returned, if not
      4. if the resource has an xlink:label, the content of the xlink:label attribute is returned, if not
      5. if the resource is simple type, then the string value of the resource is returned, if not
      6. a text representation of the resource is generated and returned.
      Note: getFriendlyName() is not called as it would return very long names
      Parameters:
        `res` - the res
      Returns:
        String

    - #### setDTS

          void setDTS(DTSContainer newDts)

      Sets the DTSContainer to a new DTSContainer. Labels will be updated accordingly
      Parameters:
        `newDts` - the new dts

    - #### getLabel

          java.lang.String getLabel(XMLElementDefinition el,
                                  XBRLRoleType preferredRole)

      Returns a label for the element corresponding to the preferredRole.
      Parameters:
        `el` - XMLElementDefinition (normally item or tuple concept)
        `preferredRole` - XBRLRoleType of the preferred role
      Returns:
        String